Skip to main content
GET
/
outbound
/
logs
Get outbound email logs
curl --request GET \
  --url https://api.jetemail.com/outbound/logs \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "pagination": {
    "total_count": 123,
    "total_pages": 123,
    "current_page": 123,
    "per_page": 123,
    "offset": 123,
    "has_next_page": true,
    "has_previous_page": true,
    "next_offset": 123,
    "previous_offset": 123,
    "showing_from": 123,
    "showing_to": 123,
    "count_limited": true,
    "max_count_limit": 123
  },
  "data": [
    {
      "uid": "abc123",
      "id": "<string>",
      "message_id": "<string>",
      "subject": "<string>",
      "from_address": "jsmith@example.com",
      "to_address": "jsmith@example.com",
      "sender": "<string>",
      "receiver": "<string>",
      "user": "<string>",
      "src": "<string>",
      "originhost": "<string>",
      "transtype": "<string>",
      "headerFrom": "<string>",
      "rule_id": "<string>",
      "first_seen": 123,
      "last_updated": 123,
      "action_count": 123,
      "final_mx": "<string>",
      "final_host": "<string>",
      "final_ip": "<string>",
      "final_protocol": "<string>",
      "final_response": "<string>",
      "bounce_reason": "<string>",
      "bounce_mx": "<string>",
      "bounce_host": "<string>",
      "delivery_attempts": [
        {
          "action": "<string>",
          "receiver": "<string>",
          "mx": "<string>",
          "host": "<string>",
          "ip": "<string>",
          "response": "<string>",
          "protocol": "<string>",
          "date": 123,
          "timestamp": "2023-11-07T05:31:56Z"
        }
      ],
      "delivery_summary": {
        "total_attempts": 123,
        "successful_deliveries": 123,
        "failed_deliveries": 123,
        "unique_recipients": 123
      },
      "opens": [
        {
          "date": 123,
          "country": "<string>",
          "email_client": "<string>"
        }
      ],
      "clicks": [
        {
          "date": 123,
          "country": "<string>",
          "email_client": "<string>",
          "original_url": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for account management endpoints. Use your api_ prefixed token.

Query Parameters

limit
integer
default:50

Number of records to return (1-100)

Required range: 1 <= x <= 100
page
integer
default:1

Page number for pagination (starts from 1)

Required range: x >= 1
offset
integer
default:0

Number of records to skip (alternative to page)

Required range: x >= 0
sort_by
string
default:date

Field to sort by

Maximum string length: 50
sort_order
enum<string>
default:DESC

Sort order

Available options:
ASC,
DESC
id
string

Filter by record ID

Maximum string length: 100
uid
string

Filter by unique identifier

Pattern: ^[A-Za-z0-9-_]{1,100}$
action
enum<string>

Filter by email action status

Available options:
ACCEPTED,
REJECTED,
BOUNCED_HARD,
BOUNCED_SOFT,
DEFERRED,
SPAM,
VIRUS,
QUEUED
zone
string

Filter by zone

Maximum string length: 50
message_id
string

Filter by message ID

Maximum string length: 100
from_address
string<email>

Filter by sender email address

to_address
string<email>

Filter by recipient email address

mx
string

Filter by MX server

Maximum string length: 100
host
string

Filter by host server

Maximum string length: 100
ip
string

Filter by IP address

Pattern: ^(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$
response
string

Filter by server response

Maximum string length: 500
user
string<email>

Filter by username

protocol
enum<string>

Filter by protocol

Available options:
smtp,
http,
https
src
string

Filter by source

Maximum string length: 50
subject
string

Filter by email subject

Maximum string length: 500
md5
string

Filter by MD5 hash

Pattern: ^[a-fA-F0-9]{32}$
interface
string

Filter by interface

Maximum string length: 50
originhost
string

Filter by origin host

Maximum string length: 100
transtype
enum<string>

Filter by transport type

Available options:
smtp,
http,
api
headerFrom
string<email>

Filter by header From field

date_from
integer

Filter by start date (Unix timestamp)

Required range: x >= 0
date_to
integer

Filter by end date (Unix timestamp)

Required range: x >= 0
from
string<date>

Filter by start date (YYYY-MM-DD or ISO format)

to
string<date>

Filter by end date (YYYY-MM-DD or ISO format)

rule_id
string

Filter by rule ID

Maximum string length: 100

General search term (searches across email fields)

Maximum string length: 200

Response

Successfully retrieved logs grouped by message uid

success
boolean
Example:

true

pagination
object
data
object[]

One entry per message, aggregated from all events recorded against its uid